%define rdate 20040720
Summary:	DRBL setup scripts
Name:		drbl-setup
Version:	1.1
Release:	1drbl
License:	GPL
Group:		Development/DRBL
Source0:	drbl-desktop-%{rdate}.tgz
URL:		http://drbl.nchc.org.tw/
ExclusiveArch:	%{ix86}
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Requires:	perl 

%description
DRBL (Diskless Remote boot in Linux) setup scripts.
Description :
Setup scripts for DRBL server, and comes with some tool programs to maintain the DRBL environment.
The drbl-setup package runs ok in RedHat 8.0/9, Fedora Core 1/2, Mandrake 9.2/10.0.
For more details, check 
1. http://drbl.sf.net (English)
2. http://drbl.nchc.org.tw (Chinese Big5 - Taiwan) 

%prep
%setup -q -n drbl-desktop-%{rdate}

%build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/opt/drbl/setup
cp -a  *	$RPM_BUILD_ROOT/opt/drbl/setup

%clean
rm -rf $RPM_BUILD_ROOT

%post
echo "------------------------------------------------------------------"
echo "Next step -> refer to one of the following to setup DRBL server:"
echo "1. /opt/drbl/setup/English/drbl.sourceforge.net/redhat/index.html,"
echo "2. /opt/drbl/setup/Chinese_Big5/drbl_redhat_mdk_4_steps.html,"
echo "3. http://drbl.sf.net (English)"
echo "4. http://drbl.nchc.org.tw (Chinese Big5 - Taiwan)"
echo "------------------------------------------------------------------"

%files
%defattr(-,root,root)
/opt/drbl/setup/*

%changelog
* Tue Jul 20 2004 Steven Shiau <steven@nchc.org.tw> 1.1-1drbl
- Add codes for Fedora Core 2, now drbl-setup runs ok in FC2.

* Mon Jul 19 2004 Steven Shiau <steven@nchc.org.tw> 1.0-40drbl
- Fix the typo in client's rc.local, it's detect_cdrom, not detect-cdrom.

* Mon Jul 19 2004 Steven Shiau <steven@nchc.org.tw> 1.0-39drbl
- Add drblsrv wrapper script to take care drblsrv-rh and drblsrv-mdk.

* Mon Jul 19 2004 Steven Shiau <steven@nchc.org.tw> 1.0-38drbl
- Add notes after installing drbl-setup.

* Mon Jul 19 2004 Steven Shiau <steven@nchc.org.tw> 1.0-37drbl
- Make menu for PXE clients more precise.

* Sat Jul 17 2004 Steven Shiau <steven@nchc.org.tw> 1.0-36drbl
- Fix the bug for PXE menu, option 1 should be Linux, while "enter" key is system assigned by DRBL server.

* Sat Jul 17 2004 Steven Shiau <steven@nchc.org.tw> 1.0-35drbl
- Add question for setting boot prompt for PXE client or not.

* Fri Jul 16 2004 Steven Shiau <steven@nchc.org.tw> 1.0-34drbl
- Freedos use new name fdos1440.img instead of boot1440.img, use this new name.

* Fri Jul 16 2004 Steven Shiau <steven@nchc.org.tw> 1.0-33drbl
- Fix the exportfs bug by remove creating, exporting and mounting directories /home/partimag and /tftpboot/node_root/home/partimag for clonezilla in script drblpush

* Fri Jul 16 2004 Steven Shiau <steven@nchc.org.tw> 1.0-32drbl
- Add creating, exporting and mounting directories /home/partimag and /tftpboot/node_root/home/partimag for clonezilla in script drblpush
- Add detect cdrom in rc.local for Mandrake, since harddrake does create /dev/cdrom when client boot.
- Use the same timesync file for client and server.
- Client now has 4 options of system when using PXE to boot, i.e. system assigned by server, system in local harddrive, memtest, freedos.

* Sun Jun 27 2004 Steven Shiau <steven@nchc.org.tw> 1.0-31drbl
- Let Chinese characters shown when asking language. It's easier to choose the right one with readable characters.

* Sun Jun 20 2004 Steven Shiau <steven@nchc.org.tw> 1.0-30drbl
- fix the bug for hostname like fc1-1-00, which should be fc1-1-001. We need to get the ip_start from range.
- change the NTP server to be stdtime.sinica.edu.tw.

* Mon Jun 14 2004 Steven Shiau <steven@nchc.org.tw> 1.0-29drbl
- add the default value prompt of language option in drblsrv-rh, drblsrv-mdk, drblpush.

* Tue Jun 08 2004 Steven Shiau <steven@nchc.org.tw> 1.0-28drbl
- change the order of NFS mount parameters, fix it as r[ow],...,tcp,nolock or r[ow,...tcp,defaults so that it's easier to change the parameters by script.

* Tue Jun 08 2004 Steven Shiau <steven@nchc.org.tw> 1.0-27drbl
- Use the tcp options for client to mount the NFS directory, this will be betterwhen there is packet loss in LAN, maybe due to the collision in one single switch for 40 clients.
- clean the kernel.sys of freeDOS when program finishs.

* Tue Jun 01 2004 Steven Shiau <steven@nchc.org.tw> 1.0-26drbl
- add /var/spool/mail for client to use, now user in clent can access his/her email by using mutt.

* Thu May 28 2004 Steven Shiau <steven@nchc.org.tw> 1.0-25drbl
- touch the drbl client template: /tftpboot/node_root/etc/modules.conf

* Thu May 28 2004 Steven Shiau <steven@nchc.org.tw> 1.0-24drbl
- fix the bug, we need to add yppasswdd ypxfrd to chkconfig --add for server. 

* Thu May 21 2004 Steven Shiau <steven@nchc.org.tw> 1.0-23drbl
- no more the fuzzy description of the last set of digits in the IP address....

* Thu May 21 2004 Steven Shiau <steven@nchc.org.tw> 1.0-22drbl
- user can specify the apt repository by himself in MDK (drblsrv-mdk).

* Tue May 11 2004 Steven Shiau <steven@nchc.org.tw> 1.0-21drbl
- force to upgrade gpm when user has FC1, this will avoid the bug of dialog, so clonezilla will work well.

* Tue May 04 2004 Steven Shiau <steven@nchc.org.tw> 1.0-20drbl
- add check if DRBL kernel is available, if not found, program stop.

- fix the bug when checking alias public IP address, 0 and 255 can not only be the first and last digit, it's only for IP checking, not netmask.
* Mon May 03 2004 Steven Shiau <steven@nchc.org.tw> 1.0-19drbl
- fix the bug when checking alias public IP address, 0 and 255 can not only be the first and last digit, it's only for IP checking, not netmask.

* Sun May 02 2004 Steven Shiau <steven@nchc.org.tw> 1.0-18drbl
- fix the bug when checking alias public IP address, 0 and 255 can not only be the first and last digit.

* Tue Apr 21 2004 Steven Shiau <steven@nchc.org.tw> 1.0-17drbl
- recompiled.

* Tue Apr 18 2004 Steven Shiau <steven@nchc.org.tw> 1.0-16drbl
- it's cdialog and reiserfsprogs in MDK, not dialog and resierfs-utils

* Tue Apr 18 2004 Steven Shiau <steven@nchc.org.tw> 1.0-15drbl
- add code to detect if apt is compatable with DRBL in drblsrv-mdk

* Tue Apr 17 2004 Steven Shiau <steven@nchc.org.tw> 1.0-14drbl
- add -o RPM::Hold::="apt" when use apt-get upgrade in drblsrv-mdk.sh

* Tue Apr 13 2004 Steven Shiau <steven@nchc.org.tw> 1.0-13drbl
- fix the bug with no initial value for exist_size_in_MB in mkswapfile.

* Tue Apr 13 2004 Steven Shiau <steven@nchc.org.tw> 1.0-12drbl
- if ethernet port is not available for DRBL environment, program stop.

* Tue Apr 13 2004 Steven Shiau <steven@nchc.org.tw> 1.0-11drbl
- add option to remove kernel.*drbl when uninstalling drbl in mdk.

* Tue Apr 13 2004 Steven Shiau <steven@nchc.org.tw> 1.0-10drbl
- force to run mknic-nbi with smp option if user specifies smp kernel.
- rewrite kernel searching method for mandrake, now DRBL for Mandrake only uses kernel with tag "drbl"

* Tue Apr 13 2004 Steven Shiau <steven@nchc.org.tw> 1.0-9drbl
- when uninstall, ask if want to remove drbl-setup or not.

* Tue Apr 13 2004 Steven Shiau <steven@nchc.org.tw> 1.0-8drbl
- when uninstall, remove drbl-setup.

* Tue Apr 13 2004 Steven Shiau <steven@nchc.org.tw> 1.0-7drbl
- when user uses local HD as /tmp, rc.sysinit will not mkdir /boot/tmp.

* Tue Apr 13 2004 Steven Shiau <steven@nchc.org.tw> 1.0-6drbl
- add bc package in drblsrv-mdk.sh and drblsrv.sh.

* Fri Apr 09 2004 Steven Shiau <steven@nchc.org.tw> 1.0-5drbl
- let mkpxeinitrd-net take care of the copy and link for vmlinuz-pxe and initrd-net, not in drblsrv-rh or drblsrv-mdk.

* Mon Apr 05 2004 Steven Shiau <steven@nchc.org.tw> 1.0-4drbl
- add codes to compute the sizes of swap partition and swap file together, so that it meets the /etc/sysconfig/mkswapfile in clients.

* Sun Apr 04 2004 Steven Shiau <steven@nchc.org.tw> 1.0-3drbl
- Fix bug for drblsrv-mdk, we need to add $drbl_setup_path for dev path.

* Sun Apr 02 2004 Steven Shiau <steven@nchc.org.tw> 1.0-2drbl
- Fix typos in lang/perl/tw.Big5, and add more directories in /var/lib for clients.

* Sat Apr 01 2004 Steven Shiau <steven@nchc.org.tw> 1.0-1drbl
- Write drbl setup scripts as rpm package, first release.
